Groovy Documentation

## org.codehaus.groovy.grails.validation.metaclass
[Java] Class ConstraintsDynamicProperty

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicProperty
          org.codehaus.groovy.grails.validation.metaclass.ConstraintsDynamicProperty

    public class ConstraintsDynamicProperty
    extends AbstractDynamicProperty

Instead of returning the closure sets a new proxy meta class for the scope of the call and invokes the closure itself which builds up a list of ConstrainedProperty instances.

Authors:
  Graeme Rocher

Field Summary
`static java.lang.String` | `PROPERTY_NAME`

Constructor Summary
`ConstraintsDynamicProperty(GrailsApplication application)`

Method Summary
`java.lang.Object` | `get(java.lang.Object object)`
`void` | `set(java.lang.Object object, java.lang.Object newValue)`

Methods inherited from class AbstractDynamicProperty
get, getPropertyName, isPropertyMatch, set

Field Detail

### PROPERTY_NAME

    public static final java.lang.String PROPERTY_NAME

Constructor Detail

### ConstraintsDynamicProperty

    public ConstraintsDynamicProperty(GrailsApplication application)

Method Detail

### get

    @Override
    public java.lang.Object get(java.lang.Object object)

### set

    @Override
    public void set(java.lang.Object object, java.lang.Object newValue)

Groovy Documentation